clang 10.0.0git

List of all members
clang::threadSafety::til::StdPrinter Class Reference

`#include "clang/Analysis/Analyses/ThreadSafetyTraverse.h"`

Inheritance diagram for clang::threadSafety::til::StdPrinter:
[legend]
Collaboration diagram for clang::threadSafety::til::StdPrinter:
[legend]

## Additional Inherited Members
Public Member Functions inherited from clang::threadSafety::til::PrettyPrinter< StdPrinter, std::ostream >
| PrettyPrinter (bool V=false, bool C=true, bool CS=true)
Static Public Member Functions inherited from clang::threadSafety::til::PrettyPrinter< StdPrinter, std::ostream >
static void | print (const SExpr *E, std::ostream &SS)
Protected Member Functions inherited from clang::threadSafety::til::PrettyPrinter< StdPrinter, std::ostream >
StdPrinter * | self ()
void | newline (std::ostream &SS)
unsigned | precedence (const SExpr *E)
void | printBlockLabel (std::ostream &SS, const BasicBlock *BB, int index)
void | printSExpr (const SExpr *E, std::ostream &SS, unsigned P, bool Sub=true)
void | printNull (std::ostream &SS)
void | printFuture (const Future *E, std::ostream &SS)
void | printUndefined (const Undefined *E, std::ostream &SS)
void | printWildcard (const Wildcard *E, std::ostream &SS)
void | printLiteralT (const LiteralT< T > *E, std::ostream &SS)
void | printLiteralT (const LiteralT< uint8_t > *E, std::ostream &SS)
void | printLiteral (const Literal *E, std::ostream &SS)
void | printLiteralPtr (const LiteralPtr *E, std::ostream &SS)
void | printVariable (const Variable *V, std::ostream &SS, bool IsVarDecl=false)
void | printFunction (const Function *E, std::ostream &SS, unsigned sugared=0)
void | printSFunction (const SFunction *E, std::ostream &SS)
void | printCode (const Code *E, std::ostream &SS)
void | printField (const Field *E, std::ostream &SS)
void | printApply (const Apply *E, std::ostream &SS, bool sugared=false)
void | printSApply (const SApply *E, std::ostream &SS)
void | printProject (const Project *E, std::ostream &SS)
void | printCall (const Call *E, std::ostream &SS)
void | printAlloc (const Alloc *E, std::ostream &SS)
void | printLoad (const Load *E, std::ostream &SS)
void | printStore (const Store *E, std::ostream &SS)
void | printArrayIndex (const ArrayIndex *E, std::ostream &SS)
void | printArrayAdd (const ArrayAdd *E, std::ostream &SS)
void | printUnaryOp (const UnaryOp *E, std::ostream &SS)
void | printBinaryOp (const BinaryOp *E, std::ostream &SS)
void | printCast (const Cast *E, std::ostream &SS)
void | printSCFG (const SCFG *E, std::ostream &SS)
void | printBBInstr (const SExpr *E, std::ostream &SS)
void | printBasicBlock (const BasicBlock *E, std::ostream &SS)
void | printPhi (const Phi *E, std::ostream &SS)
void | printGoto (const Goto *E, std::ostream &SS)
void | printBranch (const Branch *E, std::ostream &SS)
void | printReturn (const Return *E, std::ostream &SS)
void | printIdentifier (const Identifier *E, std::ostream &SS)
void | printIfThenElse (const IfThenElse *E, std::ostream &SS)
void | printLet (const Let *E, std::ostream &SS)
Static Protected Attributes inherited from clang::threadSafety::til::PrettyPrinter< StdPrinter, std::ostream >
static const unsigned | Prec_Atom
static const unsigned | Prec_Postfix
static const unsigned | Prec_Unary
static const unsigned | Prec_Binary
static const unsigned | Prec_Other
static const unsigned | Prec_Decl
static const unsigned | Prec_MAX

## Detailed Description

Definition at line 925 of file ThreadSafetyTraverse.h.

The documentation for this class was generated from the following file:

- include/clang/Analysis/Analyses/ThreadSafetyTraverse.h